Unable to register SLES15 SP4 PAYG based Azure instance

This document (000021244) is provided subject to the disclaimer at the end of this document.

Environment

SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise for SAP Applications 15 SP4
Microsoft Azure

Situation

Standard SLES and SLES for SAP workloads running SLES 15 SP4 are unable to connect to the PAYG update infrastructure and an Azure instance re-registration fails.

Force new registration of the Azure instance:
# registercloudguest --force-new
Afterwards the following errors are observed in "/var/log/cloudregister" - Example (truncated output):
2023-10-20 08:32:46,918 INFO:Forced new registration
2023-10-20 08:32:46,952 INFO:Region server arguments: ?regionHint=germanywestcentral
2023-10-20 08:32:46,953 INFO:Using API: regionInfo
2023-10-20 08:32:46,972 INFO:Region server arguments: ?regionHint=germanywestcentral
2023-10-20 08:32:46,972 INFO:Getting update server information, attempt 1
2023-10-20 08:32:46,972 INFO:   Using region server: 104.45.31.195
2023-10-20 08:32:47,006 ERROR:  No response from: 104.45.31.195
2023-10-20 08:32:47,006 INFO:   Using region server: 40.121.202.140
2023-10-20 08:32:47,299 INFO:Region server arguments: ?regionHint=germanywestcentral
2023-10-20 08:32:47,587 INFO:Writing SMT rootCA: /etc/pki/trust/anchors
2023-10-20 08:32:47,613 INFO:Updating CA certificates: update-ca-certificates
2023-10-20 08:32:48,116 INFO:Modified /etc/hosts, added: 51.116.98.203  smt-azure.susecloud.net smt-azure

2023-10-20 08:32:48,759 DEBUG:Starting new HTTPS connection (1): smt-azure.susecloud.net:443
2023-10-20 08:32:48,812 ERROR:Registration with ('51.116.98.203', None) failed. Trying ('51.116.98.214', None)
2023-10-20 08:32:48,813 INFO:Clean current registration server: ('51.116.98.203', None)
2023-10-20 08:32:48,832 WARNING:Unable to remove client registration from server
2023-10-20 08:32:48,832 WARNING:HTTPSConnectionPool(host='smt-azure.susecloud.net', port=443): Max retries exceeded with url: /connect/systems (Caused by SSLError(SSLError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:852)'),))
2023-10-20 08:32:48,832 INFO:Continue with local artifact removal
2023-10-20 08:32:48,834 INFO:Removing credentials: /etc/zypp/credentials.d/SCCcredentials
2023-10-20 08:32:48,835 INFO:Removing service: SUSE_Linux_Enterprise_Server_x86_64.service
2023-10-20 08:32:48,835 INFO:No current registration server set.
2023-10-20 08:32:48,836 INFO:Modified /etc/hosts, added: 51.116.98.214  smt-azure.susecloud.net smt-azure

2023-10-20 08:32:49,479 DEBUG:Starting new HTTPS connection (1): smt-azure.susecloud.net:443
2023-10-20 08:32:49,529 ERROR:Registration with ('51.116.98.214', None) failed. Trying ('51.116.96.37', None)
2023-10-20 08:32:49,529 INFO:No current registration server set.
2023-10-20 08:32:49,530 INFO:Modified /etc/hosts, added: 51.116.96.37   smt-azure.susecloud.net smt-azure

2023-10-20 08:32:49,590 ERROR:Baseproduct registration failed
2023-10-20 08:32:49,590 ERROR:  Registering system to registration proxy https://smt-azure.susecloud.net

Updating system details on https://smt-azure.susecloud.net ...
Error: Invalid system credentials, probably because the registered system was deleted in SUSE Customer Center. Check https://smt-azure.susecloud.net whether your system appears there. If it does not, please call SUSEConnect --cleanup and re-register this system.

Executing "zypper ref" throws errors like - Example (truncated output):

sles-15-sp4-gen2:~ # zypper --refresh
Error retrieving metadata for 'SLE-Module-Basesystem15-SP4-Pool':
Receive: script died unexpectedly
History:
 - [11-Resource temporarily unavailable]
Additionally the following errors are observed in "/var/log/zypper.log" - Example (truncated output):
2023-10-20 07:36:22 <1> sles-15-sp4-gen2(22101) [zypper] refresh.cc(refreshRepository):147 going to refresh repo 'Basesystem_Module_x86_64:SLE-Module-Basesystem15-SP4-Pool'
2023-10-20 07:36:22 <1> sles-15-sp4-gen2(22101) [zypper] refresh.cc(refreshRepository):154 calling refreshMetadata
2023-10-20 07:36:22 <1> sles-15-sp4-gen2(22101) [zypp::media++] RepoInfo.cc(probeCache):65 Probed cached type rpm-md at /var/cache/zypp/raw/Basesystem_Module_x86_64:SLE-Module-Basesystem15-SP4-Pool
2023-10-20 07:36:22 <1> sles-15-sp4-gen2(22101) [zypp] RepoManager.cc(checkIfToRefreshMetadata):1011 Check if to refresh repo Basesystem_Module_x86_64:SLE-Module-Basesystem15-SP4-Pool at plugin:/susecloud?credentials=Basesystem_Module_x86_64&path=/repo/SUSE/Products/SLE-Module-Basesystem/15-SP4/x86_64/product/ (rpm-md)
2023-10-20 07:36:22 <1> sles-15-sp4-gen2(22101) [zypp] RepoManager.cc(refreshGeoIPData):2581 No configured geoip URL found, not updating geoip data
2023-10-20 07:36:22 <1> sles-15-sp4-gen2(22101) [zypp::media++] RepoInfo.cc(requireStatusWithMediaFile):1065 Can SKIP media.1/media check for status calc: 0 for repo Basesystem_Module_x86_64:SLE-Module-Basesystem15-SP4-Pool 
2023-10-20 07:36:22 <1> sles-15-sp4-gen2(22101) [zypp::plugin++] PluginScript.cc(open):193 Open /usr/lib/zypp/plugins/urlresolver/susecloud()
2023-10-20 07:36:22 <1> sles-15-sp4-gen2(22101) [zypp::exec++] abstractspawnengine.cc(initEngineFromEnv):27 Starting processes via posix fork
2023-10-20 07:36:22 <1> sles-15-sp4-gen2(22101) [zypp::exec++] forkspawnengine.cc(start):181 Executing '/usr/lib/zypp/plugins/urlresolver/susecloud'
2023-10-20 07:36:22 <1> sles-15-sp4-gen2(22101) [zypp::exec++] forkspawnengine.cc(start):333 pid 22125 launched
2023-10-20 07:36:22 <1> sles-15-sp4-gen2(22101) [zypp::plugin++] PluginScript.cc(open):222 PluginScript[22125] /usr/lib/zypp/plugins/urlresolver/susecloud()
2023-10-20 07:36:22 <1> sles-15-sp4-gen2(22101) [zypp::plugin++] PluginScript.cc(send):272 PluginScript[22125] /usr/lib/zypp/plugins/urlresolver/susecloud ->send PluginFrame[RESOLVEURL](2){0}
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [zypp::plugin] PluginScript.cc(receive):380 Unexpected EOF
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186 PluginScript.cc(receive):381 THROW:    Receive: script died unexpectedly
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186 History:
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186  - [11-Resource temporarily unavailable]
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186 
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 ! /usr/lib/python3.6/site-packages/urllib3/connectionpool.py:988: InsecureRequestWarning: Unverified HTTPS request is being made to host '51.116.96.37'. Adding certificate verification is strongly advised. See: https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   InsecureRequestWarning,
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 ! Traceback (most recent call last):
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 677, in urlopen
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     chunked=chunked,
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 381, in _make_request
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     self._validate_conn(conn)
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 978, in _validate_conn
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     conn.connect()
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/python3.6/site-packages/urllib3/connection.py", line 371, in connect
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     ssl_context=context,
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/python3.6/site-packages/urllib3/util/ssl_.py", line 384, in ssl_wrap_socket
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     return context.wrap_socket(sock, server_hostname=server_hostname)
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib64/python3.6/ssl.py", line 407, in wrap_socket
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     _context=self, _session=session)
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib64/python3.6/ssl.py", line 817, in __init__
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     self.do_handshake()
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib64/python3.6/ssl.py", line 1077, in do_handshake
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     self._sslobj.do_handshake()
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib64/python3.6/ssl.py", line 689, in do_handshake
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     self._sslobj.do_handshake()
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 ! ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:852)
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 ! During handling of the above exception, another exception occurred:
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 ! Traceback (most recent call last):
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 449, in send
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     timeout=timeout
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 727, in urlopen
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/python3.6/site-packages/urllib3/util/retry.py", line 439, in increment
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     raise MaxRetryError(_pool, url, error or ResponseError(cause))
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 ! urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='smt-azure.susecloud.net', port=443): Max retries exceeded with url: /connect/systems/products/migrations (Caused by SSLError(SSLError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:852)'),))
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 ! During handling of the above exception, another exception occurred:
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 ! Traceback (most recent call last):
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/zypp/plugins/urlresolver/susecloud", line 137, in <module>
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     plugin.main()
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/python3.6/site-packages/zypp_plugin.py", line 143, in main
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     self.__collect_frame()
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/python3.6/site-packages/zypp_plugin.py", line 115, in __collect_frame
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     method(frame.headers, frame.body)
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/zypp/plugins/urlresolver/susecloud", line 99, in RESOLVEURL
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     if not utils.has_smt_access(server_name, user, password):
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/python3.6/site-packages/cloudregister/registerutils.py", line 994, in has_smt_access
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     res = requests.post(api % update_server_fqdn, auth=auth_creds, json={})
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/python3.6/site-packages/requests/api.py", line 119, in post
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     return request('post', url, data=data, json=json, **kwargs)
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/python3.6/site-packages/requests/api.py", line 61, in request
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     return session.request(method=method, url=url, **kwargs)
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 530, in request
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     resp = self.send(prep, **send_kwargs)
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 643, in send
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     r = adapter.send(request, **kwargs)
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !   File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 514, in send
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 !     raise SSLError(e, request=request)
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [PLUGIN] PluginScript.cc(~PluginDumpStderr):75 ! requests.exceptions.SSLError: HTTPSConnectionPool(host='smt-azure.susecloud.net', port=443): Max retries exceeded with url: /connect/systems/products/migrations (Caused by SSLError(SSLError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:852)'),))
2023-10-20 07:36:23 <1> sles-15-sp4-gen2(22101) [zypp::plugin++] PluginScript.cc(close):229 Close:PluginScript[22125] /usr/lib/zypp/plugins/urlresolver/susecloud
2023-10-20 07:36:23 <1> sles-15-sp4-gen2(22101) [zypp::plugin++] PluginScript.cc(send):272 PluginScript[22125] /usr/lib/zypp/plugins/urlresolver/susecloud ->send PluginFrame[_DISCONNECT](0){0}
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [zypp::plugin] PluginScript.cc(receive):380 Unexpected EOF
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186 PluginScript.cc(receive):381 THROW:    Receive: script died unexpectedly
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186 History:
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186  - [11-Resource temporarily unavailable]
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186
2023-10-20 07:36:23 <2> sles-15-sp4-gen2(22101) [zypp::exec] abstractspawnengine.cc(checkStatus):182 Pid 22125 exited with status 1
2023-10-20 07:36:23 <1> sles-15-sp4-gen2(22101) [zypp::plugin++] PluginScript.cc(close):251 PluginScript[-1] /usr/lib/zypp/plugins/urlresolver/susecloud -> [1] Command exited with status 1.
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186 RepoManager.cc(checkIfToRefreshMetadata):1124 CAUGHT:   Receive: script died unexpectedly
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186 History:
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186  - [11-Resource temporarily unavailable]
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186
2023-10-20 07:36:23 <3> sles-15-sp4-gen2(22101) [zypp] RepoManager.cc(checkIfToRefreshMetadata):1125 refresh check failed for plugin:/susecloud?credentials=Basesystem_Module_x86_64&path=/repo/SUSE/Products/SLE-Module-Basesystem/15-SP4/x86_64/product/
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186 RepoManager.cc(checkIfToRefreshMetadata):1126 RETHROW:  Receive: script died unexpectedly
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186 History:
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186  - [11-Resource temporarily unavailable]
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186 repos.cc(refresh_raw_metadata):271 CAUGHT:   Receive: script died unexpectedly
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186 History:
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186  - [11-Resource temporarily unavailable]
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186 repos.cc(refresh_raw_metadata):274 RETHROW:  Receive: script died unexpectedly
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186 History:
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186  - [11-Resource temporarily unavailable]
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186 repos.cc(refresh_raw_metadata):394 CAUGHT:   Receive: script died unexpectedly
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186 History:
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186  - [11-Resource temporarily unavailable]
2023-10-20 07:36:23 <5> sles-15-sp4-gen2(22101) [zypp-core] Exception.cc(log):186
2023-10-20 07:36:23 <3> sles-15-sp4-gen2(22101) [zypper] repos.cc(refresh_raw_metadata):400 Error reading repository 'SLE-Module-Basesystem15-SP4-Pool'
2023-10-20 07:36:23 <3> sles-15-sp4-gen2(22101) [zypper] refresh.cc(refreshRepositories):263 Skipping repository 'Basesystem_Module_x86_64:SLE-Module-Basesystem15-SP4-Pool' because of the above error.

Resolution

1. For testing set the environment variable "REQUESTS_CA_BUNDLE" while forcing a re-registration:

sles-15-sp4-gen2:~ # REQUESTS_CA_BUNDLE=/var/lib/ca-certificates/ca-bundle.pem registercloudguest --force-new
Registration succeeded

2. For testing set the environment variable "REQUESTS_CA_BUNDLE" while repositories metadata get refreshed - Example (truncated output):

sles-15-sp4-gen2:~ # REQUESTS_CA_BUNDLE=/var/lib/ca-certificates/ca-bundle.pem zypper ref
Retrieving repository 'SLE-Module-Basesystem15-SP4-Pool' metadata .............................................................................................................................................[done]
Building repository 'SLE-Module-Basesystem15-SP4-Pool' cache ..................................................................................................................................................[done]

3. Verify the symbolic link of the TLS CA certificate bundle - Note: Correct symbolic link is shown:

sles-15-sp4-gen2:~ # ll /etc/ssl/ca-bundle.pem
lrwxrwxrwx 1 root root 38 Apr 8 2021 /etc/ssl/ca-bundle.pem -> /var/lib/ca-certificates/ca-bundle.pem

4. Verify installed files from the "python3-certifi" package - Example  the "pip" command was used to install the package:

sles-15-sp4-gen2:~ # rpm --verify python3-certifi
.......T. /usr/lib/python3.6/site-packages/certifi/__init__.py
.......T. /usr/lib/python3.6/site-packages/certifi/__main__.py
S.5....T. /usr/lib/python3.6/site-packages/certifi/__pycache__/__init__.cpython-36.pyc
S.5....T. /usr/lib/python3.6/site-packages/certifi/__pycache__/__main__.cpython-36.pyc
S.5....T. /usr/lib/python3.6/site-packages/certifi/__pycache__/core.cpython-36.pyc
S.5....T. /usr/lib/python3.6/site-packages/certifi/core.py

From the "rpm" man page

S file Size differs
 M Mode differs (includes permissions and file type)
 5 digest (formerly MD5 sum) differs
 D Device major/minor number mismatch
 L readLink(2) path mismatch
 U User ownership differs
 G Group ownership differs
 T mTime differs
 P caPabilities differ


Resolution: When "python3-certifi" package was not installed from SUSE "SLE-Module-Basesystem15-SP4-Update" repository

1. Upload the original SUSE package "python3-certifi-2018.1.18-150000.3.3.1.noarch.rpm" and force a re-installation:

sles-15-sp4-gen2:/tmp # zypper --no-refresh --no-remote --non-interactive install -f python3-certifi-2018.1.18-150000.3.3.1.noarch.rpm


Additional verification -> When the SUSE provided "python3-certifi" package is installed

2. Verify the symbolic link of the TLS CA certificate bundle - Note: Correct symbolic link is shown:

sles-15-sp4-gen2:~ # ll /etc/ssl/ca-bundle.pem
lrwxrwxrwx 1 root root 38 Apr 8 2021 /etc/ssl/ca-bundle.pem -> /var/lib/ca-certificates/ca-bundle.pem


3. Verify and if needed adjust the function "where()" in file "/usr/lib/python3.6/site-packages/certifi/core.py"

   Example: Function from non-working "pip" installed "python3-certifi" package:

def where():
  f = os.path.dirname(__file__)
  return os.path.join(f, 'cacert.pem')


Example: Function from working SUSE repository provided "python3-certifi" package:

def where():
  f = os.path.dirname(__file__)
  return "/etc/ssl/ca-bundle.pem"

4. Force a re-registration

sles-15-sp4-gen2:~ # registercloudguest --force-new
Registration succeeded
5. Refresh the metadata of the repositories - Example (truncated output):
sles-15-sp4-gen2:~ # zypper ref
Retrieving repository 'SLE-Module-Basesystem15-SP4-Pool' metadata .............................................................................................................................................[done]
Building repository 'SLE-Module-Basesystem15-SP4-Pool' cache ..................................................................................................................................................[done]

Cause

The "python3-certifi" package was not installed from SUSE "SLE-Module-Basesystem15-SP4-Update" repository.

The TLS CA certificate bundle "/usr/lib/python3.6/site-packages/certifi/cacert.pem" is used by non SUSE "python3-certifi" package and the function "where()" in file "/usr/lib/python3.6/site-packages/certifi/core.py" is using a different code.

Status

Top Issue

Disclaimer

This Support Knowledgebase provides a valuable tool for SUSE customers and parties interested in our products and solutions to acquire information, ideas and learn from one another. Materials are provided for informational, personal or non-commercial use within your organization and are presented "AS IS" WITHOUT WARRANTY OF ANY KIND.

  • Document ID:000021244
  • Creation Date: 19-Oct-2023
  • Modified Date:20-Oct-2023
    • SUSE Linux Enterprise Server
    • SUSE Linux Enterprise Server for SAP Applications

< Back to Support Search

For questions or concerns with the SUSE Knowledgebase please contact: tidfeedback[at]suse.com

SUSE Support Forums

Get your questions answered by experienced Sys Ops or interact with other SUSE community experts.

Join Our Community

Support Resources

Learn how to get the most from the technical support you receive with your SUSE Subscription, Premium Support, Academic Program, or Partner Program.


SUSE Customer Support Quick Reference Guide SUSE Technical Support Handbook Update Advisories
Support FAQ

Open an Incident

Open an incident with SUSE Technical Support, manage your subscriptions, download patches, or manage user access.

Go to Customer Center